
Redmine - Patch #39558

Remove deprecated methods in Repository and AbstractAdapter

2023-11-17 10:55 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Description

The attached patch removes deprecated Repository#supports_all_revisions?, AbstractAdapter#with_trailling_slash, and

AbstractAdapter#without_trailling_slash.

Removes the deprecated method supports_all_revisions? from Repository, directing to use supports_history? instead.

Removes the deprecated methods with_trailling_slash and without_trailling_slash from AbstractAdapter guiding to use their

correctly spelled counterparts.

Associated revisions

Revision 22457 - 2023-11-18 13:58 - Marius BĂLTEANU

Remove deprecated methods in Repository and AbstractAdapter (#39558).

Patch by Go MAEDA.

History

#1 - 2023-11-18 13:58 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

Committed, thanks!
